> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List human attention items



## OpenAPI

````yaml /openapi.json get /api/orgs/{id}/attention
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Artifacts
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Setup
  - name: Integrations and billing
  - name: Notifications and public
  - name: Private inbox
  - name: Agent executions
  - name: Human attention
paths:
  /api/orgs/{id}/attention:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Human attention
      summary: List human attention items
      operationId: list_human_attention
      parameters:
        - name: status
          in: query
          schema:
            type: string
            enum:
              - open
              - resolved
              - cancelled
            default: open
        - name: execution_id
          in: query
          schema:
            type: string
            format: uuid
        - name: kind
          in: query
          schema:
            type: string
            enum:
              - approval
              - clarification
              - access
              - decision
              - destructive_action
              - other
        - name: mode
          in: query
          schema:
            type: string
            enum:
              - relevant
              - recovery
            default: relevant
        - name: target_member_id
          in: query
          schema:
            type: string
            format: uuid
        - name: target_team_id
          in: query
          schema:
            type: string
            format: uuid
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
        - name: offset
          in: query
          schema:
            type: integer
            minimum: 0
            maximum: 10000
            default: 0
        - name: shape
          in: query
          schema:
            type: string
            enum:
              - envelope
              - cli
      responses:
        '200':
          description: Human attention list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HumanAttentionListResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  schemas:
    HumanAttentionListResponse:
      oneOf:
        - $ref: '#/components/schemas/HumanAttentionListLegacyResponse'
        - $ref: '#/components/schemas/HumanAttentionListEnvelopeResponse'
    HumanAttentionListLegacyResponse:
      type: object
      required:
        - attention
        - total
        - limit
        - offset
      properties:
        attention:
          type: array
          items:
            $ref: '#/components/schemas/HumanAttentionItem'
        total:
          type: integer
          minimum: 0
        limit:
          type: integer
          minimum: 1
          maximum: 100
        offset:
          type: integer
          minimum: 0
      additionalProperties: false
    HumanAttentionListEnvelopeResponse:
      type: object
      required:
        - resource
        - items
        - total
        - limit
        - offset
        - nextOffset
        - truncated
        - hint
      properties:
        resource:
          type: string
          const: attention
        items:
          type: array
          items:
            $ref: '#/components/schemas/HumanAttentionItem'
        total:
          type: integer
          minimum: 0
        limit:
          type: integer
          minimum: 1
          maximum: 100
        offset:
          type: integer
          minimum: 0
        nextOffset:
          type:
            - integer
            - 'null'
          minimum: 0
        truncated:
          type: boolean
        hint:
          type:
            - string
            - 'null'
      additionalProperties: false
    Error:
      type: object
      description: >-
        Common error responses contain error. Shared missing-auth and
        unknown-API responses also contain a stable code.
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      examples:
        - error: Unauthorized
          code: unauthorized
        - error: Not found
          code: not_found
      additionalProperties: true
    HumanAttentionItem:
      type: object
      required:
        - id
        - status
        - kind
        - title
        - request_summary
        - why_needed
        - resume_condition
        - target
        - requester
        - requested_at
        - closed_at
        - resolution_outcome
        - resolution_summary
        - closed_by
        - attention_version
        - execution
        - issue
        - project
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - open
            - resolved
            - cancelled
        kind:
          type: string
          enum:
            - approval
            - clarification
            - access
            - decision
            - destructive_action
            - other
        title:
          type: string
        request_summary:
          type: string
        why_needed:
          type: string
        resume_condition:
          type: string
        target:
          $ref: '#/components/schemas/HumanAttentionTarget'
        requester:
          $ref: '#/components/schemas/HumanAttentionActor'
        requested_at:
          type: string
          format: date-time
        closed_at:
          type:
            - string
            - 'null'
          format: date-time
        resolution_outcome:
          type:
            - string
            - 'null'
          enum:
            - approved
            - rejected
            - answered
            - provided
            - denied
            - null
        resolution_summary:
          type:
            - string
            - 'null'
        closed_by:
          oneOf:
            - $ref: '#/components/schemas/HumanAttentionActor'
            - type: 'null'
        attention_version:
          type: integer
          minimum: 1
        execution:
          $ref: '#/components/schemas/HumanAttentionExecution'
        issue:
          $ref: '#/components/schemas/HumanAttentionIssue'
        project:
          oneOf:
            - $ref: '#/components/schemas/HumanAttentionProject'
            - type: 'null'
      additionalProperties: false
    HumanAttentionTarget:
      type: object
      required:
        - type
        - member
        - team
        - snapshot_member_id
        - snapshot_member_display_name
        - snapshot_team_id
        - snapshot_team_name
      properties:
        type:
          type: string
          enum:
            - member
            - team
            - project_admins
        member:
          oneOf:
            - $ref: '#/components/schemas/HumanAttentionActor'
            - type: 'null'
        team:
          oneOf:
            - $ref: '#/components/schemas/HumanAttentionTeam'
            - type: 'null'
        snapshot_member_id:
          type:
            - string
            - 'null'
          format: uuid
        snapshot_member_display_name:
          type:
            - string
            - 'null'
        snapshot_team_id:
          type:
            - string
            - 'null'
          format: uuid
        snapshot_team_name:
          type:
            - string
            - 'null'
      additionalProperties: false
    HumanAttentionActor:
      type: object
      required:
        - id
        - display_name
        - type
        - deleted
      properties:
        id:
          type: string
          format: uuid
        display_name:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - human
            - agent
            - integration
        deleted:
          type: boolean
      additionalProperties: false
    HumanAttentionExecution:
      type: object
      required:
        - id
        - state
        - state_version
      properties:
        id:
          type: string
          format: uuid
        state:
          type: string
          enum:
            - assigned
            - running
            - waiting
            - needs_human
            - succeeded
            - failed
            - cancelled
        state_version:
          type: integer
          minimum: 1
      additionalProperties: false
    HumanAttentionIssue:
      type: object
      required:
        - id
        - title
        - identifier
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        identifier:
          type:
            - string
            - 'null'
      additionalProperties: false
    HumanAttentionProject:
      type: object
      required:
        - id
        - name
        - slug
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        slug:
          type: string
      additionalProperties: false
    HumanAttentionTeam:
      type: object
      required:
        - id
        - name
        - deleted
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        deleted:
          type: boolean
      additionalProperties: false
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````